<?xml version="1.0"?>
<opencv_storage>
<Settings>

<!-- {1,3,7.0,55,39},{4,6,14.0,43,31},{7,9,28.0,37,29} -->
  <!--Circle_Board_Info> "{1,3,42,15,11--}"</Circle_Board_Info-->
  <Circle_Board_Info> "{1,3,42,13,9}"</Circle_Board_Info>

  <ZRotateThreshold>0.55</ZRotateThreshold>
  <Bs_Detect_Circle>1</Bs_Detect_Circle>

  <!-- 1、光轴；2、光轴+offset；3、光轴+offset+CEC；4、FPN；5、PRECEC; 6、depth check -->
  <Moca_Offset_Calib>3</Moca_Offset_Calib>
  <Binary_Method>4</Binary_Method>
  <Binary_Threshold>10</Binary_Threshold>

  <Debug_Level>0</Debug_Level>
  <Write_outputFileName>"/data/vendor/camera/out_camera_data_front.txt"</Write_outputFileName>

  <HW_CalibChart_Version>3</HW_CalibChart_Version>
  <HW_CalibChart_Pattern>0</HW_CalibChart_Pattern>
  <HW_Calib_Version>4</HW_Calib_Version>
  <Board_Distance_Num>1</Board_Distance_Num>
  <Photos_In_One_Distance>"5"</Photos_In_One_Distance>

  <!--depth check only support 50 and 70, don't config other value-->
  <Board_Distance>"45"</Board_Distance>
  <OTP_Depth_Buffer_Size>600</OTP_Depth_Buffer_Size>
  <OTP_Offset_Buffer_Size>4220</OTP_Offset_Buffer_Size>
  <OTP_PRECEC_Buffer_Size>700</OTP_PRECEC_Buffer_Size>
  <OTP_CEC_Buffer_Size>317440</OTP_CEC_Buffer_Size>
  <OTP_FPN_Buffer_Size>316740</OTP_FPN_Buffer_Size>

   <!-- Camera_Valid_Params  distance,fov,optical center(x,y)(pixel),distence between two optical center ,shift(x,y,z)(mm),rotation(x,y,z)(degree),distance num(1-dist1,2-dist2,3-dist3,no use here),dist1,dist2,dist3. -->
   <Camera_Params>"{45,0,320.0,240.0,320.0,240.0,0,0,0.0,-10.94,0.0,0.0,0.0,0.0,22.68,55.08,98.28}"</Camera_Params>
   <!-- Camera_Valid_Threshold  distance,fov,optical center(x,y)(pixel),distence between two optical center shift(x,y,z)(mm),rotation(x,y,z)(degree),dist1_valid_percent,dist2_valid_percent,dist3_valid_percent. -->
   <Camera_Params_Threshold>"{45,90,20.0,20.0,20.0,20.0,20.0,20.0,2,2,3.5,1.8,1.8,2.0,17.48,45.08,81.88}"</Camera_Params_Threshold>

   <!--Freq_data is setting mode,pls config right value-->
   <Freq_data>"{120}"</Freq_data>

   <CEC_GrayThreshold_Num>3</CEC_GrayThreshold_Num>
   <CEC_GrayThreshold>"{60,40,40}"</CEC_GrayThreshold>
   <CEC_confEdgeThreshold>50</CEC_confEdgeThreshold>

   <CEC_imageHeight>480</CEC_imageHeight>
   <CEC_imageWidth>640</CEC_imageWidth>

   <CEC_BlockNum>9</CEC_BlockNum>
   <CEC_areaMin>100</CEC_areaMin>
   <CEC_areaMax>4000</CEC_areaMax>
   <CEC_lengthMin>10</CEC_lengthMin>
   <CEC_lengthMax>100</CEC_lengthMax>
   <CEC_pixel_num>10</CEC_pixel_num>
   <CEC_cecLockupTableSize>1024</CEC_cecLockupTableSize>
   <!-- leftup x y rightdown x y -->
   <CEC_Roi_Num>2</CEC_Roi_Num>
   <CEC_Roi>"{70,40,540,380}"</CEC_Roi>
   <CEC_catTreePositionError>40</CEC_catTreePositionError>
   <CEC_PositionCheckCenter>"{320,240}"</CEC_PositionCheckCenter>
   <CEC_groundTruth_Num>9</CEC_groundTruth_Num>
   <!--CEC_Phase_offset: 60M 120M -->
   <CEC_Phase_offset>"{0.0,0.2}"</CEC_Phase_offset>
   <CEC_groundTruth60M>"{ 406.359f, 505.578f, 614.844f, 710.549f, 807.534f, 918.828f, 1006.16f, 1112.28f, 1200.18f}"</CEC_groundTruth60M>
   <CEC_groundTruth100M>"{ 406.353f, 505.592f, 614.877f, 710.525f, 807.53f, 918.844f, 1006.14f, 1112.3f, 1200.18f }"</CEC_groundTruth100M>
   <Write_CECResultsFileName>"/data/vendor/camera/CECInterResults_front.txt"</Write_CECResultsFileName>

   <CEC_check_threshold>4</CEC_check_threshold> <!-- left-right 阈值-->
   <CEC_left_threshold>"{4,20,100}"</CEC_left_threshold>   <!-- left 阈值-->
   <CEC_check_flag>4</CEC_check_flag>           <!-- 1:latin in left; 2:latin in right; 3:latin in up; 4:latin in down-->
   <CEC_check_up>0</CEC_check_up>               <!-- 上行号 1:50; 2:50; 3:0; 4:0-->
   <CEC_check_down>20</CEC_check_down>          <!-- 下行号 1:130; 2:130; 3:20; 4:20-->
   <CEC_check_left>220</CEC_check_left>         <!-- 左行号 1:0; 2:0; 3:80; 4:80-->
   <CEC_check_right>420</CEC_check_right>       <!-- 右行号 1:20; 2:20; 3:160; 4:160-->

   <Additional_Offset_Roi>"{72,102,36,36}"</Additional_Offset_Roi>
   <!--additianal_offset: [0]enable [1]groundtruth, [2]min value, [3]max value-->
   <Additional_Offset_threshold>"{1,50,5,50}"</Additional_Offset_threshold>

   <TOF_LATIN_CHECK_MODE>3</TOF_LATIN_CHECK_MODE>
   <TOF_SFR_MODE>9</TOF_SFR_MODE>
   <TOF_SFR_EXPOSURE_TIME>5000</TOF_SFR_EXPOSURE_TIME>
   <TOF_RUNNING_MODE>20</TOF_RUNNING_MODE>
   <!--below is for depth check-->
   <!-- Total 49 parameter 1 uniformity,12 mode * 4 threshold
    50cm depth check;
    Uniformity 0.2,
    MODE_CDMA_ON_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_ON_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_ON_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_OFF_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_OFF_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_OFF_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision

    70cm depthcheck;
    Uniformity 0.2,
    MODE_CDMA_ON_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_ON_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_ON_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_OFF_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_OFF_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    MODE_CDMA_OFF_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
    16,16,30,2.0,10
   -->
   <CEC_Pass_Switch>0</CEC_Pass_Switch>
   <Offset_Pass_Switch>0</Offset_Pass_Switch>
   <Depth_Pass_Switch>0</Depth_Pass_Switch>
   <Depth_Check_Mode_Num>12</Depth_Check_Mode_Num>
   <Uniformity_Threshold>0.3</Uniformity_Threshold>
   <UniformityCenterBrightness_Threshold>85</UniformityCenterBrightness_Threshold>
   <Depth_Check_Distance>67</Depth_Check_Distance>
   <Depth_Check_Threshold>"{60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10}"</Depth_Check_Threshold>
   <!--totalframenum50cm  100cm,ROIratio,depth_erratio,-->
   <Depth_Check_parameter>"{100,100,0.8,50}"</Depth_Check_parameter>

   <PreCEC_Calibration_Config name="PRE_CEC" item="0" distnum="1" anglenum="1" collect="25" skip="1" modes="0x14" expo="0x014820">ItemConfig</PreCEC_Calibration_Config>
   <Temperature_Shift_Calibration_Config name="TEMPERATURE_SHIFT" item="1" distnum="1" anglenum="1" skip="0">ItemConfig</Temperature_Shift_Calibration_Config>
   <Temp_Slope_Info>0</Temp_Slope_Info>
   <TempSlope_Info>0</TempSlope_Info>
   <CEC_Dual_Offset_Calibration_Config name="CEC_DUAL_OFFSET" item="2" moduleholder="false" collect="25" skip="10" infraredangle="99" infraredexpo = "0x00F0" expo="0x014820" mainexpo="6000" mainiso="200" modes="0xD" offsetcalib="1,1,0,0,0" graycalib="1,1,1,1,1">ItemConfig</CEC_Dual_Offset_Calibration_Config>
   <!--depth check only support 50 and 70, don't config other value-->
   <Depth_Check_Config name="DEPTH_CHECK" item="3" needgray="false" distance="67" distnum="1" anglenum="1" collect="25" skip="10" expo="0x014820" mainexpo="6000" mainiso="200" modes="0xD" angles="1">ItemConfig</Depth_Check_Config>
   <Eye_Safe_Calibration_Verification_Config name="EYE_SAFE" item="4" modes="0xD,0x11,0x12" pdthreshold="0.1" pdtargets="luxvisions:183,vertilite:183,lumentum:183" calibskip="0" verifyskip="1" skincalibcollectskip="1">ItemConfig</Eye_Safe_Calibration_Verification_Config>
   <!-------------------------------------------------------------PMD setting------------------------------------------------------------->

   <PMD_ZRotateThreshold>0.55</PMD_ZRotateThreshold> <!-- P家Z轴旋转角阈值-->
   <PMD_Bs_Detect_Circle>1</PMD_Bs_Detect_Circle> <!--P家圆心提取阈值 -->
   <!-- 1、光轴；2、光轴+offset；3、光轴+offset+CEC；4、FPN；5、PRECEC; 6、depth check -->
   <PMD_Offset_Calib>3</PMD_Offset_Calib> <!--P家标定选项 -->
   <PMD_Binary_Method>4</PMD_Binary_Method> <!--P家二进制方法-->
   <PMD_Binary_Threshold>10</PMD_Binary_Threshold> <!--P家二进制阈值-->
   <PMD_Debug_Level>0</PMD_Debug_Level>  <!--P家调试设置-->
   <PMD_WriteOutputFilePath>"/data/vendor/camera/"</PMD_WriteOutputFilePath> <!--P家标定参数输出路径-->
   <PMD_WriteCrosstalkFileName>"/data/vendor/camera/crosstalk.txt"</PMD_WriteCrosstalkFileName>

   <PMD_check_threshold>4</PMD_check_threshold> <!-- left-right 阈值-->
   <PMD_left_threshold>"{4,20,100}"</PMD_left_threshold>   <!-- left 阈值-->
   <PMD_check_flag>4</PMD_check_flag>            <!-- 1:latin in left; 2:latin in right; 3:latin in up; 4:latin in down-->
   <PMD_check_up>0</PMD_check_up>               <!-- 上行号 1:50; 2:50; 3:0; 4:0-->
   <PMD_check_down>10</PMD_check_down>          <!-- 下行号 1:130; 2:130; 3:20; 4:20-->
   <PMD_check_left>220</PMD_check_left>            <!-- 左行号 1:0; 2:0; 3:80; 4:80-->
   <PMD_check_right>420</PMD_check_right>         <!-- 右行号 1:20; 2:20; 3:160; 4:160-->

		<!--PMD_DUAL_Buffer_Size>500</PMD_DUAL_Buffer_Size-->
		<!--P家lens 标定buffer 长度-->
		<!--PMD_JGF_Buffer_Size>1933</PMD_JGF_Buffer_Size-->
		<!--P家JGF Buffer长度-->
		<!--PMD_TOF_Buffer_size>2150</PMD_TOF_Buffer_size-->
		<!--P家tof Buffer长度-->
		<!--PMD_Wiggling_Size>192800</PMD_Wiggling_Size-->
		<!--P家wiggling长度-->
		<!--PMD_DEPTHCHECK_Buffer_Size>16</PMD_DEPTHCHECK_Buffer_Size-->
		<!--P家depthcheck Buffer长度-->
		<PMD_DUAL_Buffer_Size>4220</PMD_DUAL_Buffer_Size>
		<!--P家lens 标定buffer 长度-->
		<PMD_JGF_Buffer_Size>1933</PMD_JGF_Buffer_Size>
		<!--P家JGF Buffer长度-->
		<PMD_TOF_Buffer_size>4220</PMD_TOF_Buffer_size>
		<!--P家tof Buffer长度-->
		<PMD_Wiggling_Size>317440</PMD_Wiggling_Size>
		<!--P家wiggling长度-->
		<PMD_DEPTHCHECK_Buffer_Size>600</PMD_DEPTHCHECK_Buffer_Size>
		<!--P家depthcheck Buffer长度-->

   <PMD_Camera_Params>"{45,0,320.0,240.0,320.0,240.0,0,0,0,-10.94,0.0,0.0,0.0,0.0,22.68,55.08,98.28}"</PMD_Camera_Params> <!--P家相机参数-->
   <PMD_Camera_Params_Threshold>"{45,90,20.0,20.0,20.0,20.0,20.0,20.0,2,2,3.5,1.8,1.8,2.0,17.48,45.08,81.88}"</PMD_Camera_Params_Threshold>  <!--P家相机参数阈值-->

   <!--P家 frequency data-->
   <!--PMD_Freq_data>"{20.08,60.24,80.32,120.48}"</PMD_Freq_data--> <!--P家频率-->
   <PMD_Freq_data>"{120.48,120.48,120.48,120.48}"</PMD_Freq_data> <!--P家频率-->
   <PMD_GrayThreshold>40</PMD_GrayThreshold>
   <PMD_confEdgeThreshold>50</PMD_confEdgeThreshold>
   <PMD_BlockNum>9</PMD_BlockNum>
   <PMD_areaMin>100</PMD_areaMin>
   <PMD_areaMax>4000</PMD_areaMax>
   <PMD_lengthMin>10</PMD_lengthMin>
   <PMD_lengthMax>100</PMD_lengthMax>
   <PMD_pixel_num>10</PMD_pixel_num>
   <PMD_cecLockupTableSize>1024</PMD_cecLockupTableSize>
   <!-- leftup x y rightdown x y -->
   <PMD_Roi_Num>2</PMD_Roi_Num>
   <PMD_Roi>"{70,20,540,190}"</PMD_Roi>
   <PMD_catTreePositionError>60</PMD_catTreePositionError>
   <PMD_PositionCheckCenter>"{320,120}"</PMD_PositionCheckCenter>
   <PMD_groundTruth_Num>9</PMD_groundTruth_Num>
   <Write_WigglingResultsFileName>"/data/vendor/camera/wigglingResult.txt"</Write_WigglingResultsFileName>
   <WriteFPN_ResultFileName>"/data/vendor/camera/Tof_pmd_fpn_data.dat"</WriteFPN_ResultFileName>

   <PMD_Image_Height>240</PMD_Image_Height> <!--P家图像高-->
   <PMD_Image_Width>640</PMD_Image_Width> <!--P家图像宽-->
   <PMD_DurkCurrent_Min>-20.0</PMD_DurkCurrent_Min> <!--P家暗电流最小阈值-->
   <PMD_DurkCurrent_Max>20.0</PMD_DurkCurrent_Max> <!--P家暗电流最大阈值-->
   <PMD_FPN_Min>1847.0</PMD_FPN_Min> <!--P家FPN最小阈值-->
   <PMD_FPN_Max>2247.0</PMD_FPN_Max> <!--P家FPN最大阈值-->
   <PMD_Amplitude_min>0.1</PMD_Amplitude_min> <!--p家Amplitude最小阈值-->
   <PMD_Amplitude_max>2500.0</PMD_Amplitude_max> <!--p家Amplitude最大阈值-->
   <PMD_Intensity_Min>10</PMD_Intensity_Min> <!--P家intensity最小阈值-->
   <PMD_Intensity_Max>2500.0</PMD_Intensity_Max> <!--P家intensity最大阈值-->
   <PMD_Reflectivity>0.92</PMD_Reflectivity> <!--P家FPPN标定板反射率-->

   <PMD_TOF_LATIN_CHECK_MODE>28</PMD_TOF_LATIN_CHECK_MODE> <!--PMD Sensor-->
   <PMD_TOF_SFR_MODE>31</PMD_TOF_SFR_MODE> <!--PMD Sensor-->
   <PMD_TOF_SFR_EXPO>0x139B</PMD_TOF_SFR_EXPO> <!--PMD Sensor-->
   <IRS2877_TOF_SFR_EXPO>2500</IRS2877_TOF_SFR_EXPO> <!--IRS2877 Sensor-->
   <PMD_RUNNING_MODE>14</PMD_RUNNING_MODE> <!--PMD Sensor-->

   <PMD_Crosstalk_Pass_Switch>0</PMD_Crosstalk_Pass_Switch> <!--P家 crosstalk-->
   <PMD_Wiggling_Pass_Switch>0</PMD_Wiggling_Pass_Switch> <!--P家 wiggling-->
   <PMD_FPPN_Pass_Switch>0</PMD_FPPN_Pass_Switch> <!--P家 FPPN-->
   <PMD_Depth_Pass_Switch>0</PMD_Depth_Pass_Switch> <!--P家 Depth-->
   <PMD_Depth_Check_Mode_Num>6</PMD_Depth_Check_Mode_Num> <!--P家 depth check number-->
   <PMD_Uniformity_Threshold>0.35</PMD_Uniformity_Threshold> <!--P家 uniformity-->
   <PMD_UniformityCenterBrightness_Threshold>60</PMD_UniformityCenterBrightness_Threshold> <!--P家 uniformity-->
   <PMD_Depth_Check_Distance>67</PMD_Depth_Check_Distance> <!--P家 depth check distance-->
		<PMD_Depth_Check_Threshold>"{16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10}"</PMD_Depth_Check_Threshold>
   <!--P 家totalframenum50cm  100cm,ROIratio,depth_erratio,-->
   <PMD_Depth_Check_parameter>"{100,100,0.8,50}"</PMD_Depth_Check_parameter> <!--P家 depth check parameters-->
		<PMD_LatinNUmber>1</PMD_LatinNUmber>

   <PMD_Calibration_Crosstalk_Config name="Crosstalk" item="6" distnum="1" anglenum="1" collect="10" skip="2" modes="6" crossexpo="500,500">ItemConfig</PMD_Calibration_Crosstalk_Config>
   <PMD_Calibration_Fppn_Wiggling_Config name="Fppn_Wiggling" item="7" collect="20" skip="2" wigglingexpo="500" hdcexpo="500" expo="600" mainexpo="6000" mainiso="200" wigglingmodes="4,5" modes="0x9" hdcmodes="0x20" offsetcalib="1,1,0,0,0" graycalib="1,1,1,1,1">ItemConfig</PMD_Calibration_Fppn_Wiggling_Config>
   <!--depth check only support 50 and 70, don't config other value-->
   <PMD_Depth_Check_Config name="Depth_Check" item="8" needgray="false" distance="67" distnum="1" anglenum="1" collect="20" skip="2" expo="600" mainexpo="6000" mainiso="200" modes="0x9" angles="1">ItemConfig</PMD_Depth_Check_Config>
   <PMD_Eye_Safe_Calibration_Verification_Config name="EYE_SAFE" item="9" modes="0x10,0x11,0x12" pdthreshold="0.1" pdtargets="lumentum:166,vertilite:166,ams:166" calibskip="0" verifyskip="1" skincalibcollectskip="1">ItemConfig</PMD_Eye_Safe_Calibration_Verification_Config>
   <!--tempParamA, tempParamB, tempParamC, minSlope, maxSlope, maxPdBg, maxTemp, maxBiasCurrent, threshold-->
   <IRS2877_Eye_Safe_Param>"{-0.023691, 1.67827, 415.281, 1.0, 5.0, 20, 80, 0.95625, 0.1}"</IRS2877_Eye_Safe_Param>

</Settings>
</opencv_storage>
